<!DOCTYPE html>
<html>
<body>
<script>
var a="var-o";
function fun1()
  {
    var a="var1"
    document.write("<br>"+this.a);
    document.write("<br>");
    var fun12 = () =>
    { 
      a="var11";
      document.write("<br>"+this.a); 
      document.write("<br>");
      var fun13 = () =>
      { 
        a="var12";
        document.write("<br>"+this.a);
        document.write("<br>");
      }
    fun13();
    }
    fun12();
  }
fun1();
var fun2 = () =>
  {
  var a="var2";
  document.write("<br>"+this.a);
  document.write("<br>");
  function fun21()
    {
      document.write("<br>"+this.a);
      document.write("<br>");
    }
  fun21();  
}
fun2();
var f="var-ob";
var b=
  {
    L: () =>
    {
        f="obj val";
        document.write("<br>"+this.f);
        document.write("<br>");
    },
  }
b.L();
var f="var-ob";
var b=
  {
    L: () =>
    {
        var f="obj val";
        document.write("<br>"+this.f);
    },
  }
b.L();
var m = { 
 name: "obj", 
 k:() => 
    { 
      document.write("<br>"+this.name); 
      document.write("<br>");
    }, 
 l()
    { 
      document.write("<br>"+ this.name);
      document.write("<br>"); 
    } 
};
m.k(); 
m.l();
var name="swetha";
var m = { 
  name: "pavani", 
  k:() => 
  { 
    document.write(this.name);
    document.write("<br>");
  }, 
 l()
  { 
    document.write("<br>" + this.name);
  } 
}
m.k(); 
m.l();
</script>
</body>
</html>
